Bug 463655 - [LTC 6.0 FEAT] 201339:Package update request for openMPI
[LTC 6.0 FEAT] 201339:Package update request for openMPI
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openmpi (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Jay Fenlason
Gurhan Ozen
: FutureFeature
Depends On:
Blocks: 356741 554559 636627
  Show dependency treegraph
 
Reported: 2008-09-24 01:20 EDT by IBM Bug Proxy
Modified: 2014-08-31 19:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: openmpi-1.3.3-3.el6.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 636627 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:16:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 01:20:47 EDT
=Comment: #1=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-18 10:20 EDT
1. Feature Overview:
Feature Id:	[201339]
a. Name of Feature:	Package update for openMPI
b. Feature Description
Please update openMPI to the latest version.

2. Feature Details:
Sponsor:	Linux Systems Tech
Architectures:
x86
ppc64

Arch Specificity: Purely Common Code
Delivery Mechanism: Direct from community
Category:	Networking
Request Type:	Package - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	

3. Business Case
This package is key for HPC customers who comprise the largest customer set for
Linux for System p. This package is required for IBM's HPC solution.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Shirley Ma, xma@us.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 17:02:15 EDT
Any particular latest version required?
Comment 2 IBM Bug Proxy 2009-03-03 14:31:43 EST
openMPI 1.3.1

http://www.open-mpi.org/software/ompi/v1.3/
Comment 3 IBM Bug Proxy 2009-08-05 16:00:36 EDT
------- Comment From xma@us.ibm.com 2009-08-05 15:50 EDT-------
To RH:

Please include most recent openMPI release for RHEL6, it could be openMPI 1.3.x or even openMPI 1.4.

Thanks.
Comment 4 Doug Ledford 2009-09-15 09:59:48 EDT
We already have the most current upstream version at this time.  If that changes between now and release of rhel6, we'll update again.
Comment 5 releng-rhel@redhat.com 2009-11-02 18:13:15 EST
Fixed in 'openmpi-1.3.3-3.el6.2', included in compose 'RHEL6.0-20091102.0'.
Moving to ON_QA.
Comment 6 IBM Bug Proxy 2010-05-07 15:40:46 EDT
------- Comment From halves@linux.vnet.ibm.com 2010-05-07 15:32 EDT-------
Verified on RHEL6 Snap2:

Name       : openmpi
Arch       : ppc
Version    : 1.4.1
Release    : 4.1.el6

Name       : openmpi
Arch       : ppc64
Version    : 1.4.1
Release    : 4.1.el6

Regards,

Higor
Comment 7 IBM Bug Proxy 2010-05-10 15:10:59 EDT
------- Comment From brad.benton@us.ibm.com 2010-05-10 15:01 EDT-------
Please pick up the latest Open MPI stable release:  1.4.2.

Justification:
- fixes problems with the use mpi_paffinity_alone and SMT=off mode for P6 and SMT=1 & SMT=2 modes for P7
- fixes many threading bugs
- clarifies the licensing of an interface component for Load Leveler
Comment 13 IBM Bug Proxy 2010-07-14 15:40:58 EDT
------- Comment From halves@linux.vnet.ibm.com 2010-07-14 15:30 EDT-------
Hello Team,

openmpi version on RHEL6 Snap7.

[root@cluster-11 ~]# yum info openmpi.ppc64
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Installed Packages
Name       : openmpi
Arch       : ppc64
Version    : 1.4.1
Release    : 4.2.el6
Size       : 5.8 M
Repo       : installed
From repo  : 6.0-snap7
Summary    : Open Message Passing Interface
URL        : http://www.open-mpi.org/
License    : BSD, MIT and Romio
Description: Open MPI is an open source, freely available implementation of both
: the MPI-1 and MPI-2 standards, combining technologies and resources
: from several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI)
: in order to build the best MPI library available.  A completely new
: MPI-2 compliant implementation, Open MPI offers advantages for
: system and software vendors, application developers, and computer
: science researchers. For more information, see
: http://www.open-mpi.org/ .

regards,

Higor
Comment 15 releng-rhel@redhat.com 2010-11-10 16:16:30 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.